Skip to main content
PATCH
/
api
/
brand-studio
/
assets
/
{asset_id}
Update Asset Endpoint
curl --request PATCH \
  --url https://api.example.com/api/brand-studio/assets/{asset_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "garment_type": "shirt",
  "mood": "<string>",
  "source_type": "upload",
  "tags": [
    "<string>"
  ]
}
'
{
  "created_at": "<string>",
  "file_path": "<string>",
  "filename": "<string>",
  "hash": "<string>",
  "id": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "source_type": "upload",
  "garment_type": "shirt",
  "height": 123,
  "mood": "<string>",
  "tags_json": "[]",
  "width": 123
}

Path Parameters

asset_id
string
required

Body

application/json
garment_type
enum<string> | null
Available options:
shirt,
pants,
jacket,
dress,
skirt,
coat,
accessories,
other
mood
string | null
source_type
enum<string> | null
Available options:
upload,
screenshot,
photo,
reference
tags
string[] | null

Response

Successful Response

created_at
string
required
file_path
string
required
filename
string
required
hash
string
required
id
string
required
mime_type
string
required
size_bytes
integer
required
source_type
enum<string>
required
Available options:
upload,
screenshot,
photo,
reference
garment_type
enum<string> | null
Available options:
shirt,
pants,
jacket,
dress,
skirt,
coat,
accessories,
other
height
integer | null
mood
string | null
tags_json
string
default:[]
width
integer | null